Qt Reference Documentation

# SwiftSlider Class Reference

(Phonon::SwiftSlider)

Inherits: QSlider.

- List of all members, including inherited members

## Public Functions

| SwiftSlider ( Qt::Orientation orientation, QWidget * parent )

- 7 public functions inherited from QSlider
- 22 public functions inherited from QAbstractSlider
- 217 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QSlider
- 11 properties inherited from QAbstractSlider
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 2 public slots inherited from QAbstractSlider
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 6 signals inherited from QAbstractSlider
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 5 protected functions inherited from QSlider
- 8 protected functions inherited from QAbstractSlider
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Member Function Documentation

### SwiftSlider::SwiftSlider ( Qt::Orientation orientation, QWidget * parent )